@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100;200;400;500&display=swap');

* {
    text-decoration: none;
    margin: 0;
    padding: 0;
    list-style: none;
    box-sizing: border-box;
    scroll-behavior: smooth;
    color: white;
    font-family: 'Outfit';
    font-weight: 200;
}

body {
    background-color: #202020;
}

body::-webkit-scrollbar{
    display: none;
}

/* Login Page  */

.login-page {
    text-align: center;
    margin-top: 110px;
}

.login-page img {
    margin-right: 42px;
    width: 140px;
    height: 140px; 
}

.login-page input {
    display: inline-block;
    background-color: rgb(145, 143, 143);
    border-radius: 2px;
    border: none;
    width: 25%;
    height: 45px;
    margin: 5px;
    resize: none;
}

.login-page input::placeholder {
    color: white;
    font-size: 18px;
}

.email {
    margin-top: 20px;
}

.login-page button {
    margin-top: 23px;
    background-color: #FFC20D;
    color: #202020;
    font-weight: 600;
    font-size: 18px;
    padding: 10px 170px;
    border: none;
    border-radius: 2px;
}

.remember {
    display: flex;
    flex-wrap: wrap;
    margin-top: 20px;
    margin-left: 650px;
}

.remember h4 {
    margin-top: 8px;
    margin-left: 38px;
    margin-right: 7px;
}

.remember input {
    width: 30px;
    height: 30px;
}

.forget {
    margin-top: 10px;
}

.forget a {
    color: gray;
}

.signup {
    display: flex;
    flex-wrap: wrap;
    margin-left: 605px;
}

.signup p {
    margin-top: 35px;
    margin-right: 45px;
}

.signup button {
    padding: 10px 30px;
    background-color: transparent;
    color: #FFC20D;
    border: 2px solid;
    border-color: #FFC20D;
}

.signup button:hover {
    padding: 10px 30px;
    background-color: #FFC20D;
    color: #202020;
    border: 2px solid;
    border-color: #202020;
    transition: ease 0.3s;
}

.log-on button:hover {
    border: 1px solid;
    background-color: transparent;
    color: #FFC20D;
    border-color: #FFC20D;
    transition: all 0.3s;
}

/* Responsiveness  */

@media (max-width: 1440px) {

    .remember {
        margin-left: 600px;
    }

    .signup {
        margin-left: 550px;
    }
}

@media (max-width: 1024px) {

    .logo {
        margin-left: 45px;
    }
    
    .remember {
        margin-left: 400px;
    }

    .signup {
        margin-left: 330px;
    }

    .email input {
        width: 35%;   
    }
}

@media (max-width: 768px) {

    .logo {
        margin-left: 10px;
    }

    .remember {
        margin-left: 270px;
    }

    .signup {
        margin-left: 230px;
    }

    .email input {
        width: 45%;   
    }
}

@media (max-width: 426px) {

    body {
        margin-left: 12px;
    }

    /* .home {
        display: block;
    } */

    .top-nav {
        width: 180%;
        position: relative;
    }

    .hamburger .bar, .hamburger:after, .hamburger:before {
        content: '';
        display: block;
        margin: 6px 500px;
        width: 120%;
        height: 6%;
    }

    .top-nav .logo {
        text-align: center;
        margin-left: 19px;
        margin-right: -50px;
    }

    .top-nav .recipes {
        width: 100px;
        margin-right: 25px;
    }

    .top-nav .links {
        display: none;
    }

    ul {
        display: inline;
        margin-left: -10px;
        display: flex;
        margin-left: 195px;
        justify-content: space-between;
        flex-direction: row;
        align-items: center;
    }

    li {
        margin-right: 30px;
    }

    .top-nav .login {
        margin-left: -19px;
    }

    .login-page img {
        margin-right: 42px;
        width: 100px;
        height: 100px; 
        margin-top: -10px;
    }

    .home p {
        font-size: 26px;
        font-weight: 400;
    }

    .remember {
        margin-left: 100px;
    }

    .email input {
        width: 80%;   
    }

    .signup {
        margin-left: 130px;
    }

    .signup p {
        margin-top: 15px;
    }

    .signup button {
        margin-left: 15px;
    }

    .mobile-view {
        display: none;
    }
}

@media (max-width: 376px) {

    .login-page img {
        margin-right: 42px;
        width: 100px;
        height: 100px; 
        margin-top: -10px;
    }

    .login-page button {
        padding: 10px 140px;
    }

    .remember {
        margin-left: 80px;
    }

    .email input {
        width: 80%;   
    }

    .signup {
        margin-left: 130px;
    }

    .signup p {
        margin-left: -25px;
    }

    .signup button {
        padding: 10px 30px;
        margin-left: -10px;
    }
}

@media (max-width: 320px) {

    .login-page img {
        margin-right: 42px;
        width: 100px;
        height: 100px; 
        margin-top: -10px;
    }

    .login-page button {
        padding: 10px 100px;
    }

    .remember {
        margin-left: 50px;
    }

    .email input {
        width: 80%;   
    }

    .signup {
        margin-left: 130px;
    }

    .signup p {
        margin-left: -53px;
    }

    .signup button {
        padding: 10px 18px;
        font-size: 15px;
        margin-left: -25px;
    }
}

@media (max-width: 394px) {

    .logo {
        margin-top: 20px;
        margin-left: 45px;
    }

    .remember {
        margin-left: 85px;
    }

    .log-on button {
        padding: 10px 150px;
    }

    .forget {
        margin-top: 20px;
    }

    .signup {
        display: flex;
        flex-wrap: nowrap;
        margin-left: 25px;
    }

    .signup p {
        margin-top: 40px;
        margin-right: 20px;
    }
}